%NNANALYSIS3 Near Neighbor spatial analysis in 3D
%  [SegLen,FacetArea,TotalArea,Vol,SegIndex,FacetIndex,NumFacets,MinNN,
%  MaxNN,AvgNN,NumNN,NNIndices,NNIndex] = NNANALYSIS3(T,P) Performs a near
%  neighbor analysis on points P.  P is an M x 3 matrix that contains the 
%  (x,y,z) coordinates of M points.  T is the Delaunay tessellation of
%  those points, generated using the delaunay3 function.  The function
%  returns several output arguments associated with the analysis
%
%     SegLen       Length of each connector for each tetrahedron (6 per)
%     FacetArea    Area of each facet for each tetrahedron (4 per)
%     TotalArea    Total surface area of each tetrahedron
%     Vol          Volume of each tetrahedron in the tessellation
%     SegIndex     Indices of the connectors for each tetrahedron
%     FacetIndex   Indices of the facets for each tetrahedron
%     NumFacets    Number of facets each point is associated with
%     MinNN        Minimum near neighbor distance
%     MaxNN        Maximum near neighbor distance
%     AvgNN        Average near neighbor distance
%     NumNN        Total number of near neighbors
%     NNIndices    Matrix containing the indices of each point's near neighbors
%     NNIndex      Vector containing the index of the nearEST neighbor point
%
%  Dan Lofgreen 12 March 2007
%
%  To compile this mex function in Windows, use the following:
%
%     mex -v nnanalysis3.c triarea3.c tetraarea.c
%
% See also: DELAUNAY3, NEARESTNEIGHBOR3


