function saveparams(fid,s,d)
%SAVEPARAMS  Saves selected parameters to a file
%  SAVEPARAMS(FID,S,D)  Saves selected parameters to a file.  The
%  file ID number is passed as FID.  S is a cell array containing the 
%  names of each data field. D is a cell array will all the data to be
%  saved.
%
%   See also SAVESELECTEDPARAMS

% Save each of the field names with tabs as delimiters
for i = 1:length(s)-1
   count = fprintf(fid,'%-s \t',s{i});
	len(i) = length(d{i});   
end

i = i+1;
count = fprintf(fid,'%-s',s{i});
len(i) = length(d{i});   

% Add a new line feed
count = fprintf(fid,'\n');

% Go through and print each data item if there is n
for i = 1:max(len)
   for j = 1:length(len)-1
      if(i>len(j))
         count = fprintf(fid,'\t');
      else
         d1 = d{j};
         count = fprintf(fid,'%-32.16g \t',d1(i));
      end
   end
   
   % Save the last parameter with NO tab at the end
   j = j+1;
   
   if(i>len(j))
      count = fprintf(fid,'\t');
   else
      d1 = d{j};
      count = fprintf(fid,'%-32.16g',d1(i));
   end
      
      % Add a new line feed
	count = fprintf(fid,'\n');
end

closed = fclose(fid);


