% This matlab script will install the SpatialAnalysis software.
% The installation script will take the zip file, which contains all the
% necessary files, create a directory for them, and then unzip the files.
% It will also setup the preferences for the software.

% Define the location of the install folder
InstallDir = uigetdir(matlabroot,'Select a folder for Spatial Analysis 3D');

if(InstallDir==0)
    % Then the user canceled the installation directory choice
    
else
    % Switch to the directory the user chose as the install directory, and
    % unzip the files.
    cd(InstallDir)
    try
        unzip('http://www.nri.ucsb.edu/Labs/breese/Files/SpatialAnalysis.zip',InstallDir)
    catch
        % This will run if the zip file can not be downloaded properly
        %folder = urlwrite('http://www.nri.ucsb.edu/Labs/breese/Files/SpatialAnalysis.zip','SpatialAnalysis.zip');
        errordlg(['SpatialAnalysis.zip could not be downloaded from: ',...
            'http://www.nri.ucsb.edu/Labs/breese ',...
            'You may need to enter a Proxy server host address in ',...
            'File|Preferences|Web'],'Install Spatial Analysis Error')
        clear variables
        return
    end
    
    % Now add the folders to the path and save the path
    addpath([InstallDir,filesep,'SpatialAnalysis3D'])
    addpath([InstallDir,filesep,'userfun'])
    savepath
    
    % Now setup the preferences
    setpref('SpatialAnalysis','User','user')
    setpref('SpatialAnalysisTips','Display',1)
    setpref('RecentFiles','File1','')
    setpref('RecentFiles','File2','')
    setpref('RecentFiles','File3','')
    setpref('RecentFiles','File4','')
    
    % Now run the in setup routine for the sofware
    cd([InstallDir,filesep,'SpatialAnalysis3D'])
    SpatialAnalysis -setup

    % Clear all the variables
    clear variables
    
    % Then launch the program
    SpatialAnalysis
end
